require("../../../../../_virtual/_rolldown/runtime.js");
let antd = require("antd");
let _pisell_utils = require("@pisell/utils");
require("./index.less");
//#region src/plus/saasDevice/deviceProfile/components/UnsavedConfirmModal/index.tsx
const unsavedChangesConfirm = (callback) => {
	antd.Modal.confirm({
		title: _pisell_utils.locales.getText("pisell2.saas.unsaved-changes"),
		content: _pisell_utils.locales.getText("pisell2.saas.unsaved-changes-content"),
		okText: _pisell_utils.locales.getText("pisell2.saas.leave"),
		cancelText: _pisell_utils.locales.getText("pisell2.saas.stay"),
		okButtonProps: { className: "unsaved-changes-modal-ok-btn" },
		wrapClassName: "unsaved-changes-modal",
		onOk() {
			callback();
		}
	});
};
//#endregion
exports.unsavedChangesConfirm = unsavedChangesConfirm;
